<ion-header>
  <ion-navbar color="primary">
    <ion-title>{{collection.id ? collection.customer : 'New Collection'}}</ion-title>
    <ion-buttons end>
        <button ion-button icon-only (click)="save()"><ion-icon name="md-checkmark"></ion-icon></button>
    </ion-buttons>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-item>
    <ion-label>Customer</ion-label>
    <ion-input type="text" class="item-end" [(ngModel)]="collection.customer"></ion-input>    
    <button ion-button icon-only clear item-end (click)="searchCustomer()">
      <ion-icon name="search"></ion-icon>
    </button>
  </ion-item>
  <ion-item no-lines>
    <ion-label floating>Remarks</ion-label>
    <ion-textarea rows="5" [(ngModel)]="collection.remarks"></ion-textarea>
  </ion-item>
  <ion-item *ngIf="collection.collection_date">
    <ion-label c-gray>Date</ion-label>
    <p item-end>{{collection.collection_date | date:'MMM dd, yyyy HH:mm'}}</p>
  </ion-item>
  <ion-item *ngIf="collection.collector_id">
    <ion-label c-gray>Collector</ion-label>
    <p item-end>{{collection.collector_name}}</p>
  </ion-item>
  <button ion-item class="link" (click)="showLocation()" *ngIf="canViewLocation && collection.location && collection.location.latitude !== 0">
      <ion-icon name="ios-pin-outline" item-start></ion-icon>
      <span>Show location</span>
      <div class="item-note" item-end><ion-icon name="ios-arrow-forward"></ion-icon></div>
  </button>
  <button ion-item class="link" *ngIf="collection.photos" (click)="showPhotos()">
      <ion-icon name="ios-photos-outline" item-start></ion-icon>
      <span>Photos ({{collection.photos.length}})</span>
      <div class="item-note" item-end><ion-icon name="ios-arrow-forward"></ion-icon></div>
  </button>
  
  <ion-list *ngIf="photosToUpload.length !== 0">
    <ion-item-divider color="light">
      Pending photos ({{photosToUpload.length}})
      <button ion-button clear item-end color="primary" (click)="uploadPhotos()" *ngIf="pendingPhotos()">
        Upload
      </button>
    </ion-item-divider>
    <ion-item *ngFor="let photo of photosToUpload; let i = index" class="photos-to-upload" no-lines>
      <ion-thumbnail item-start (click)="viewPhoto(photo.url)">
        <img [src]="photo.url">
      </ion-thumbnail>
      <p><progress-bar [progress]="photo.progress" [color]="'#488aff'" *ngIf="photo.progress"></progress-bar></p>
      <button ion-button clear item-end color="danger" *ngIf="!photo.progress && photo.progress !== 100" (click)="removePhoto(i)">
        Delete
      </button>      
    </ion-item>
  </ion-list>

  <div padding text-center *ngIf="collection.id">
    
    <div class="photo-placeholder camera" (click)="addPhoto()" *ngIf="!progress">
      <ion-icon name="camera"></ion-icon>
    </div>
    
    <progress-bar [progress]="progress | async" [color]="'#488aff'" *ngIf="progress"></progress-bar>

    <div class="photo-placeholder" *ngIf="progress">
      <img [src]="photoToUpload" alt="">      
    </div>
    
  </div>
</ion-content>